### Function

# Gtk.TreeViewRowSeparatorFunc

#### Declaration

    gboolean
    TreeViewRowSeparatorFunc (
      GtkTreeModel* model,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

Function type for determining whether the row pointed to by `iter` should be rendered as a separator. A common way to implement this is to have a boolean column in the model, whose values the `GtkTreeViewRowSeparatorFunc` returns.

#### Parameters

`model` | `GtkTreeModel`
| the `GtkTreeModel`
| Ownership is not transferred to the callee
`iter` | `GtkTreeIter`
| a `GtkTreeIter` pointing at a row in `model`
| Ownership is not transferred to the callee
`data` | `gpointer`
| user data

#### Return value

Returns: `gboolean`
`TRUE` if the row is a separator